Package org.eclipse.rdf4j.query.resultio

## Class AbstractTupleQueryResultParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser

- All Implemented Interfaces:
    `QueryResultParser`, `TupleQueryResultParser`
  Direct Known Subclasses:
    `BinaryQueryResultParser`, `SPARQLResultsCSVParser`, `SPARQLResultsTSVParser`

      public abstract class AbstractTupleQueryResultParser
      extends AbstractQueryResultParser
      implements TupleQueryResultParser

  Base class for `TupleQueryResultParser`s offering common functionality for query result parsers.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractTupleQueryResultParser()` | Creates a new parser base that, by default, will use an instance of `SimpleValueFactory` to create Value objects.
    `protected` | `AbstractTupleQueryResultParser​(ValueFactory valueFactory)` | Creates a new parser base that will use the supplied `ValueFactory` to create `Value` objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QueryResultFormat` | `getQueryResultFormat()` | Gets the query result format that this parser can parse.
    `void` | `parseQueryResult​(InputStream in)` | Parse the query results out of the given `InputStream` into the handler setup using `QueryResultParser.setQueryResultHandler(QueryResultHandler)`.
    `void` | `setTupleQueryResultHandler​(TupleQueryResultHandler handler)` | Sets the TupleQueryResultHandler that will handle the parsed query result data.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.TupleQueryResultParser

      `getTupleQueryResultFormat, parse`

- - ### Constructor Detail

    - #### AbstractTupleQueryResultParser

          protected AbstractTupleQueryResultParser()

      Creates a new parser base that, by default, will use an instance of `SimpleValueFactory` to create Value objects.

    - #### AbstractTupleQueryResultParser

          protected AbstractTupleQueryResultParser​(ValueFactory valueFactory)

      Creates a new parser base that will use the supplied `ValueFactory` to create `Value` objects.

  - ### Method Detail

    - #### getQueryResultFormat

          public QueryResultFormat getQueryResultFormat()

      Description copied from interface: `QueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getQueryResultFormat` in interface `QueryResultParser`
      Returns:
        The `QueryResultFormat` supported by this parser.

    - #### parseQueryResult

          public void parseQueryResult​(InputStream in)
                                throws IOException,
                                       QueryResultParseException,
                                       QueryResultHandlerException

      Description copied from interface: `QueryResultParser`
      Parse the query results out of the given `InputStream` into the handler setup using `QueryResultParser.setQueryResultHandler(QueryResultHandler)`.
      Specified by:
        `parseQueryResult` in interface `QueryResultParser`
      Parameters:
        `in` - The `InputStream` to parse the results from.
      Throws:
        `IOException` - If there is an exception from the InputStream.
        `QueryResultParseException` - If the query results are not parsable by this parser.
        `QueryResultHandlerException` - If the `QueryResultHandler` set in `QueryResultParser.setQueryResultHandler(QueryResultHandler)` throws an exception.

    - #### setTupleQueryResultHandler

          public void setTupleQueryResultHandler​(TupleQueryResultHandler handler)

      Description copied from interface: `TupleQueryResultParser`
      Sets the TupleQueryResultHandler that will handle the parsed query result data.
      Specified by:
        `setTupleQueryResultHandler` in interface `TupleQueryResultParser`